Update a user

Update the details of a user. A user is defined as anyone in the system, eg anyone who has requested a quote or has an active policy. Updates to the following fields will require review and approval from the Odie team if the user has any active policies:

  • firstName
  • lastName
  • contact:
    • line1
    • line2
    • city
    • state
    • zipCode
    • shippingLine1
    • shippingLine2
    • shippingCity
    • shippingState
    • shippingZipCode

If the request requires approval you will receive a statusCode of "PENDING, however fields not requiring approval (eg contact.email and contact.phone) will be updated immediately. Use the policy webhook to receive a callback once the change is approved. Updates which only contain fields not requiring approval, or for users with no active policies, will be made immediately (statusCode "UPDATED").

Path Params
string
required

The unique identifier of this user in the Odie system.

Body Params

Any omitted fields will be left as they were. At least one field must be included.

string

Valid values: a-Z, 0-9, spaces and ,.#$&()?=+-!

string

Valid values: a-Z, 0-9, spaces and ,.#$&()?=+-!

string

Use this to update or add a credit card. If the user has any policies in a payment method transition of "PAYROLL to CREDITCARD" then we will generate subscriptions for these policies too. Use the following Stripe documentation to set up the payment form and capture the token. Ask your Odie contact for the publishable keys, note that if you are using a sandbox X-API-KEY then Stripe tokens must be generated with the test publishable key for Stripe and vice-versa for live X-API-KEYs. https://stripe.com/docs/payments/accept-a-payment-charges

bankAccount
object

Details of the user's linked bank account, which is used to pay out claims. Omitted if they do not have an account linked.

contact
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*